<?php


namespace App\ViewModels\Formulario\PerguntaOpcoesViewModel;


use App\Utils\Entity;

class PerguntaOpcoesViewModel extends Entity
{
    protected $id_opcao_pergunta;
    protected $id_pergunta;

    public static function builder(): PerguntaOpcoesViewModelBuilder
    {
        return new PerguntaOpcoesViewModelBuilder;
    }

    /**
     * @return int
     */
    public function getIdOpcaoPergunta(): int
    {
        return $this->id_opcao_pergunta;
    }

    /**
     * @return int
     */
    public function getIdPergunta(): int
    {
        return $this->id_pergunta;
    }

    /**
     * @param int $id_opcao_pergunta
     */
    public function setIdOpcaoPergunta(int $id_opcao_pergunta): void
    {
        $this->id_opcao_pergunta = $id_opcao_pergunta;
    }

    /**
     * @param int $id_pergunta
     */
    public function setIdPergunta(int $id_pergunta): void
    {
        $this->id_pergunta = $id_pergunta;
    }

}